What's the best way to update a SLES10SP1 server to SLES10SP2 when it's got OES2SP0 installed on it?

I distinctly remember messages all over the Novell support sites about not installing SLES10SP2 with OES2. What gives??

I also have a server that I've tried to update (using installation DVDs) and the /etc/novell-release file looks just like the one for OES2SP0. Is this file supposed to be modified to reflect SP1? and/or how else can I check for a properly installed OES2SP1 system?